<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp "&#160;">
<!ENTITY egrave "&#232;">
<!ENTITY euro "&#8364;">
<!ENTITY agrave "&#224;">
<!ENTITY eacute "&#233;">
]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.xemelios.org/namespaces#cg-1.0" xmlns:n="http://www.xemelios.org/namespaces#cg-1.0" version="2.0">
    <xsl:template name="navigate">
        <xsl:param name="docId"/>
        <xsl:param name="etatId"/>
        <xsl:param name="elementId"/>
        <xsl:param name="sous.elementId"/>
        <xsl:param name="Entete"/>
        <xsl:param name="NumPage"/>
        <xsl:param name="show.formulaire"/>
        <xsl:param name="show.formulaire.compte" select="1"/>
        <xsl:param name="show.depense.recette" select="0"/>
        <xsl:param name="element.path"/>
        <xsl:param name="path.plus"/>
        
        <div class="formulaire">
            <table width="100%">
                <colgroup>
                    <col width="20%"/>
                    <col/>
                    <col width="20%"/>
                </colgroup>
                <tbody>
                    <tr>
                        <th style="text-align: left;" valign="middle">
                            <xsl:element name="a">
                                <xsl:attribute name="class">precsuiv</xsl:attribute>
                                <xsl:attribute name="href">xemelios:/query?docId=<xsl:value-of select="$docId"/>&amp;etatId=<xsl:value-of select="$etatId"/>&amp;elementId=<xsl:value-of select="$elementId"/>&amp;collectivite=<xsl:value-of select="$Entete//n:Infos/n:Collectivite/@Siret"/>&amp;budget=<xsl:value-of select="$Entete//n:Infos/n:Collectivite/@CodeBudget"/>&amp;path=[n:Pied/@NumPage=<xsl:value-of select="$NumPage - 1"/>]<xsl:if test="$path.plus"><xsl:value-of select="$path.plus"/></xsl:if></xsl:attribute>&lt;&lt; Page Prcdente</xsl:element>
                        </th>
                        <th style="text-align: center;" valign="middle">
                            <xsl:element name="a">
                                <xsl:attribute name="class">precsuiv</xsl:attribute>
                                <xsl:attribute name="href">xemelios:/query?docId=compteGestion&amp;etatId=Accueil&amp;elementId=PageAccueil&amp;collectivite=<xsl:value-of select="$Entete//n:Infos/n:Collectivite/@Siret"/>&amp;budget=<xsl:value-of select="$Entete//n:Infos/n:Collectivite/@CodeBudget"/></xsl:attribute>Sommaire</xsl:element>
                            <br/><br/>
                            <xsl:call-template name="formulaire">
                                <xsl:with-param name="docId" select="$docId"/>
                                <xsl:with-param name="etatId" select="$etatId"/>
                                <xsl:with-param name="elementId" select="$elementId"/>
                                <xsl:with-param name="sous.elementId" select="$sous.elementId"/>
                                <xsl:with-param name="Entete" select="$Entete"/>
                                <xsl:with-param name="NumPage" select="$NumPage"/>
                                <xsl:with-param name="show.formulaire" select="$show.formulaire"/>
                                <xsl:with-param name="show.formulaire.compte" select="$show.formulaire.compte"/>
                                <xsl:with-param name="show.depense.recette" select="$show.depense.recette"/>
                                <xsl:with-param name="element.path" select="$element.path"/>
                                <xsl:with-param name="path.plus" select="$path.plus"/>
                            </xsl:call-template>
                        </th>
                        <th style="text-align: right;" valign="middle">
                            <xsl:element name="a">
                                <xsl:attribute name="class">precsuiv</xsl:attribute>
                                <xsl:attribute name="href">xemelios:/query?docId=<xsl:value-of select="$docId"/>&amp;etatId=<xsl:value-of select="$etatId"/>&amp;elementId=<xsl:value-of select="$elementId"/>&amp;collectivite=<xsl:value-of select="$Entete//n:Infos/n:Collectivite/@Siret"/>&amp;budget=<xsl:value-of select="$Entete//n:Infos/n:Collectivite/@CodeBudget"/>&amp;path=[n:Pied/@NumPage=<xsl:value-of select="$NumPage + 1"/>]<xsl:if test="$path.plus"><xsl:value-of select="$path.plus"/></xsl:if></xsl:attribute>Page Suivante &gt;&gt;</xsl:element>
                        </th>
                    </tr>
                </tbody>
            </table>
        </div>
    </xsl:template>
    
    <xsl:template name="formulaire">
        <xsl:param name="docId"/>
        <xsl:param name="etatId"/>
        <xsl:param name="elementId"/>
        <xsl:param name="sous.elementId"/>
        <xsl:param name="Entete"/>
        <xsl:param name="NumPage"/>
        <xsl:param name="show.formulaire"/>
        <xsl:param name="show.formulaire.compte"/>
        <xsl:param name="show.depense.recette"/>
        <xsl:param name="element.path"/>
        <xsl:param name="path.plus"/>
        
        <span style="color:navy;">Critres de recherche   <xsl:choose>
                <xsl:when test="$show.formulaire=''">
                    <xsl:element name="a">
                        <xsl:attribute name="href">xemelios:/query?docId=<xsl:value-of select="$docId"/>&amp;etatId=<xsl:value-of select="$etatId"/>&amp;elementId=<xsl:value-of select="$elementId"/>&amp;collectivite=<xsl:value-of select="$Entete//n:Infos/n:Collectivite/@Siret"/>&amp;budget=<xsl:value-of select="$Entete//n:Infos/n:Collectivite/@CodeBudget"/>&amp;path=[n:Pied/@NumPage=<xsl:value-of select="$NumPage"/>]<xsl:if test="$path.plus"><xsl:value-of select="$path.plus"/></xsl:if>&amp;xsl:param=(show.formulaire,1)</xsl:attribute>
                        <xsl:attribute name="style">text-decoration: none;</xsl:attribute><img src="xemelios:/resource?collapse-dwn.png" alt="ImageDown"/>
                    </xsl:element>
                </xsl:when>
                <xsl:otherwise>                    
                    <xsl:element name="a">
                        <xsl:attribute name="href">xemelios:/query?docId=<xsl:value-of select="$docId"/>&amp;etatId=<xsl:value-of select="$etatId"/>&amp;elementId=<xsl:value-of select="$elementId"/>&amp;collectivite=<xsl:value-of select="$Entete//n:Infos/n:Collectivite/@Siret"/>&amp;budget=<xsl:value-of select="$Entete//n:Infos/n:Collectivite/@CodeBudget"/>&amp;path=[n:Pied/@NumPage=<xsl:value-of select="$NumPage"/>]<xsl:if test="$path.plus"><xsl:value-of select="$path.plus"/></xsl:if>&amp;xsl:param=(show.formulaire,)</xsl:attribute>
                        <xsl:attribute name="style">text-decoration: none;</xsl:attribute><img src="xemelios:/resource?collapse-up.png" alt="ImageUp"/>
                    </xsl:element>                    
                </xsl:otherwise>
            </xsl:choose>
        </span>
        <br/>
        <div>
            <xsl:choose>
                <xsl:when test="$show.formulaire=''">
                    <xsl:attribute name="style">display: none;</xsl:attribute>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:attribute name="style">display: block;</xsl:attribute>
                </xsl:otherwise>
            </xsl:choose>      
            <form name="formulaireRecherchePage" method="GET" action="xemelios:/query" width="100%">
                <table width="100%">
                    <caption>Accder  une page</caption>
                    <colgroup>
                        <col width="40%"/>
                        <col width="20%"/>
                        <col width="40%"/>
                    </colgroup>
                    <tbody>
                        <tr>
                            <td style="text-align: right;" valign="middle"><label for="gotoPage">Page n</label></td>
                            <td valign="middle"><input id="gotoPage" type="text" name="page"/></td>
                            <td style="text-align: left;" valign="middle"><input type="image" value="Rechercher ..." name="submit" src="xemelios:/resource?zoom.png"/></td>
                        </tr>
                    </tbody>
                </table>
                <input>
                    <xsl:attribute name="type">hidden</xsl:attribute>
                    <xsl:attribute name="name">docId</xsl:attribute>
                    <xsl:attribute name="value" select="$docId"/>
                </input>
                <input>
                    <xsl:attribute name="type">hidden</xsl:attribute>
                    <xsl:attribute name="name">etatId</xsl:attribute>
                    <xsl:attribute name="value" select="$etatId"/>
                </input>
                <input>
                    <xsl:attribute name="type">hidden</xsl:attribute>
                    <xsl:attribute name="name">elementId</xsl:attribute>
                    <xsl:attribute name="value" select="$elementId"/>
                </input>
                <input>
                    <xsl:attribute name="type">hidden</xsl:attribute>
                    <xsl:attribute name="name">collectivite</xsl:attribute>
                    <xsl:attribute name="value" select="$Entete//n:Infos/n:Collectivite/@Siret"/>
                </input>
                <input>
                    <xsl:attribute name="type">hidden</xsl:attribute>
                    <xsl:attribute name="name">budget</xsl:attribute>
                    <xsl:attribute name="value" select="$Entete//n:Infos/n:Collectivite/@CodeBudget"/>
                </input>
                <input>
                    <xsl:attribute name="type">hidden</xsl:attribute>
                    <xsl:attribute name="name">sp1</xsl:attribute>
                    <xsl:attribute name="value" select="$Entete//n:Infos/n:Collectivite/@Exercice"/>
                </input>
                <input type="hidden" name="path" value="[n:Pied/@NumPage=%page%]"/>                
            </form>
            <xsl:if test="$show.formulaire.compte">
                <br/>
                <form name="formulaireRechercheCompte" method="GET" action="xemelios:/query" width="100%">
                    <table width="100%">
                    <caption>Accder  un compte</caption>
                    <colgroup>
                        <col width="40%"/>
                        <col width="20%"/>
                        <col width="40%"/>
                    </colgroup>
                        <tbody>
                            <tr>
                                <td style="text-align: right;"><label for="gotoCompte">Compte n</label></td>
                                <td><input id="gotoCompte" type="text" name="compte"/></td>
                                <td style="text-align: left;"><input type="image" value="Rechercher ..." name="submit" src="xemelios:/resource?zoom.png"/></td>
                            </tr>
                            <xsl:if test="$show.depense.recette">
                                <tr>
                                    <td colspan="3">
                                        <table width="100%">
                                            <colgroup>
                                                <col width="45%"/>
                                                <col width="3%"/>
                                                <col width="7%"/>
                                                <col width="45%"/>
                                            </colgroup>
                                            <tbody>
                                                <tr>
                                                    <td style="text-align: right;"><label>D&eacute;pense</label></td>
                                                    <td style="text-align: left;"><input name="codrd" type="radio" value="D"/></td>
                                                    <td style="text-align: right;"><label>Recette</label></td>
                                                    <td style="text-align: left;"><input name="codrd" type="radio" value="R"/></td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </td>
                                </tr>
                            </xsl:if>
                        </tbody>
                    </table>
                    <input>
                        <xsl:attribute name="type">hidden</xsl:attribute>
                        <xsl:attribute name="name">docId</xsl:attribute>
                        <xsl:attribute name="value" select="$docId"/>
                    </input>
                    <input>
                        <xsl:attribute name="type">hidden</xsl:attribute>
                        <xsl:attribute name="name">etatId</xsl:attribute>
                        <xsl:attribute name="value" select="$etatId"/>
                    </input>
                    <input>
                        <xsl:attribute name="type">hidden</xsl:attribute>
                        <xsl:attribute name="name">elementId</xsl:attribute>
                        <xsl:choose>
                            <xsl:when test="$sous.elementId!=''">
                                <xsl:attribute name="value" select="$sous.elementId"/>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:attribute name="value" select="$elementId"/>
                            </xsl:otherwise>
                        </xsl:choose>                    
                    </input>
                    <input>
                        <xsl:attribute name="type">hidden</xsl:attribute>
                        <xsl:attribute name="name">collectivite</xsl:attribute>
                        <xsl:attribute name="value" select="$Entete//n:Infos/n:Collectivite/@Siret"/>
                    </input>
                    <input>
                        <xsl:attribute name="type">hidden</xsl:attribute>
                        <xsl:attribute name="name">budget</xsl:attribute>
                        <xsl:attribute name="value" select="$Entete//n:Infos/n:Collectivite/@CodeBudget"/>
                    </input>
                    <input>
                        <xsl:attribute name="type">hidden</xsl:attribute>
                        <xsl:attribute name="name">sp1</xsl:attribute>
                        <xsl:attribute name="value" select="$Entete//n:Infos/n:Collectivite/@Exercice"/>
                    </input>
                    <input>
                        <xsl:attribute name="type">hidden</xsl:attribute>
                        <xsl:attribute name="name">path</xsl:attribute>
                        <xsl:attribute name="value">[<xsl:if test="string-length($element.path)>0"><xsl:value-of select="$element.path"/>/</xsl:if>@NumCompte=%compte%]<xsl:if test="$show.depense.recette">[<xsl:if test="string-length($element.path)>0"><xsl:value-of select="$element.path"/>/</xsl:if>@CodRD=%codrd%]</xsl:if></xsl:attribute>
                    </input>                
                </form>
            </xsl:if>
        </div>
        __________________________________________
    </xsl:template>
</xsl:stylesheet>
